/* $Id: aocolor_widget.h 29 2009-01-02 13:36:32Z mawerick $ */
/* AOCrayon - Chat color management tool for Anarchy Online
	Copyright (C) 2005 - 2009  Mawerick

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; version 2 of the License.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
#ifndef AOCOLOR_WIDGET_H
#define AOCOLOR_WIDGET_H

#include <QtGui>

class AOColor;

class AOColorWidget : public QWidget
{
	Q_OBJECT

public:
	AOColorWidget( QWidget *parent = 0 );
	AOColorWidget( const QString &text, QWidget *parent = 0 );

	void setText( const QString &text );
	void setToolTip( const QString &text );

	void addColorGroup( const QString &cg );
	void removeColorGroup( const QString &cg );
	void clear();

public slots:
	void setBGColor( const QColor &color );
	void updateColor();

protected slots:
	void pickColor();

protected:
	void init();

	QHBoxLayout *Layout;
	QLabel *Label;
	QPushButton *Button;

	QStringList ColorGroups;
};

#endif // AOCOLOR_WIDGET_H
