/* $Id$ */
/* AOCrayon - Chat color management tool for Anarchy Online
	Copyright (C) 2005 - 2009  Mawerick

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; version 2 of the License.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
#ifndef AOCOLORS_H
#define AOCOLORS_H

#include <QtXml>
#include "aocolor.h"

class AOColors : public QList<AOColor>
{
public:
	AOColors();
	AOColors( const AOColors& l ) : QList<AOColor>(l) { }
	AOColors( const QList<AOColor>& l ) : QList<AOColor>(l) { }
	AOColors( const AOColor& i ) { append(i); }

	AOColor getByName( const QString &name );
	bool updateColor( const AOColor &color );
	void addColor( const AOColor &color );

	bool load();
	bool save();
};

extern AOColors Colors;

#endif // AOCOLORS_H
