/* $Id: basicmode_page.h 29 2009-01-02 13:36:32Z mawerick $ */
/* AOCrayon - Chat color management tool for Anarchy Online
	Copyright (C) 2005 - 2009  Mawerick

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; version 2 of the License.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
#ifndef BASICMODE_PAGE_H
#define BASICMODE_PAGE_H

#include <QtGui>

class AOColorWidget;

class BasicModePage : public QWidget
{
	Q_OBJECT

public:
	BasicModePage( QWidget * parent = 0 );

	void setBGColor( const QColor &color );

public slots:
	void updateColors();

signals:
	void updateColor();
	void updateBGColor( const QColor &color );

protected:
	void createChatPage();
	void createMoreChatPage();
	void createInfoPage();
	void createNPCPage();
	void createCombatPage();
	void createMiscPage();

	QVBoxLayout* BaseLayout;
	QTabWidget* TabWidget;

	/* basic chat */
	QWidget* ChatPage;
	QVBoxLayout* ChatLayout;
	AOColorWidget* ClanBtn;
	AOColorWidget* RaidBtn;
	AOColorWidget* PGroupBtn;
	AOColorWidget* TeamBtn;
	AOColorWidget* TellBtn;
	AOColorWidget* OOCBtn;
	AOColorWidget* MiscBtn;

	/* more chat */
	QWidget* MoreChatPage;
	QVBoxLayout* MoreChatLayout;
	AOColorWidget* VicinityBtn;
	AOColorWidget* WhisperBtn;
	AOColorWidget* ShoutBtn;
	AOColorWidget* EmotesBtn;
	AOColorWidget* ShoppingBtn;
	AOColorWidget* MyPetBtn;
	AOColorWidget* OtherPetBtn;

	/* info window */
	QWidget* InfoPage;
	QVBoxLayout* InfoLayout;
	AOColorWidget* HeadlineBtn;
	AOColorWidget* HeaderBtn;
	AOColorWidget* TextBtn;
	AOColorWidget* BoldBtn;

	/* NPC */
	QWidget* NPCPage;
	QVBoxLayout* NPCLayout;
	AOColorWidget* NPCChatBtn;
	AOColorWidget* NPCOOCBtn;
	AOColorWidget* NPCEmoteBtn;
	AOColorWidget* NPCSystemBtn;
	AOColorWidget* NPCQuestionBtn;
	AOColorWidget* NPCDescriptBtn;
	AOColorWidget* NPCTradeBtn;

	/* combat */
	QWidget* CombatPage;
	QVBoxLayout* CombatLayout;
	AOColorWidget* MeHitByNanoBtn;
	AOColorWidget* OtherHitByNanoBtn;
	AOColorWidget* MonsterHitMeBtn;
	AOColorWidget* PlayerHitMeBtn;
	AOColorWidget* MeHitOtherBtn;
	AOColorWidget* OtherHitOtherBtn;
	AOColorWidget* OtherHitByPetBtn;

	/* misc feedback */
	QWidget* MiscPage;
	QVBoxLayout* MiscLayout;
	AOColorWidget* TowerBtn;
	AOColorWidget* MeGotXPBtn;
	AOColorWidget* ResearchBtn;
	AOColorWidget* MeHealedBtn;
	AOColorWidget* SkillBtn;
	AOColorWidget* SystemBtn;

	QLabel* BasicHelpLabel;
};

#endif // BASICMODE_PAGE_H
