/* $Id: base_window.h 29 2009-01-02 13:36:32Z mawerick $ */
/* AOCrayon - Chat color management tool for Anarchy Online
	Copyright (C) 2005 - 2009  Mawerick

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; version 2 of the License.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
#ifndef MAIN_WINDOW_H
#define MAIN_WINDOW_H

#include <QtGui>

class AdvancedModePage;
class BasicModePage;
class SettingsPage;
class AboutPage;
class LicensePage;

class MainWindow : public QMainWindow
{
	Q_OBJECT

public:
	MainWindow( QWidget* parent = 0 );

protected slots:
	void saveColors();
	void reloadColors();
	void updateBGColor();

	void modeChanged( bool mode );
	void styleChanged( const QString &style );

protected:
	void closeEvent( QCloseEvent *event );

	QVBoxLayout* BaseDlgLayout;
	QTabWidget* TabWidget;
	QStackedWidget* ColorsTab;

	BasicModePage* BasicModeTab;
	AdvancedModePage* AdvModeTab;
	SettingsPage* SettingsTab;
	AboutPage* AboutTab;
	LicensePage* LicenseTab;

	QHBoxLayout* SysLayout;
	QPushButton* SaveBtn;
	QPushButton* CloseBtn;
};

#endif // MAIN_WINDOW_H
