/* $Id: settings.h 29 2009-01-02 13:36:32Z mawerick $ */
/* AOCrayon - Chat color management tool for Anarchy Online
	Copyright (C) 2005 - 2009  Mawerick

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; version 2 of the License.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
#ifndef SETTINGS_H
#define SETTINGS_H

#include <QtCore>

class Settings
{
public:
	Settings();

	void load();
	void save();

	QVariant get( const QString &name, QVariant defvalue = 0 );
	void set( const QString &name, QVariant value );

	QDir *getGuiBaseDir();
	QDir *getGuiDir();
	static QString cleanPath( const QString &path );

private:

#ifdef ALLOW_LEGACY_PREFS
	bool loadLegacy();
#endif

	QMap<QString,QVariant> SettingsMap;
};

extern Settings Prefs;

#endif // SETTINGS_H
